Subject: Comments to Jeff's proposal

From: "Chung-Huy Chen (254-4827 T/L 444)" <[email-masked]>
Date: Mon, 21 Feb 94 17:13:01 EST

I agree to most of the comments made by Peter Binninger in a note dated
  2/17.  In the following, I will state only comments in addition to
  Peter's or those that are different from his.
  (The page numbers are based on Jeff's proposal although they appear to
   be different from the latest CIW draft (dated 12/15/93).)

                      * * *
  1) Page 10 (Definition of the mapped conversation)
  This section is a proper place to link the notion of a map name to
  the mapped conversation.  But the proposal provides no introduction
  for a map name.  Therefore, I would like to see the following questions
  being answered:
    - What is a map name referred to in SNA and in OSI?
    - What is the uniqueness of a map name in SNA and in OSI?
    - How is a map name related to the encoding used by the local system
      and that used by the network?

   2) Page 33 (Data conversion section)
   That the proposal merely includes pointers to two new calls is not
   sufficient.  I think the section should describe, from user's
   perspective, how these two calls can be used.

   In addition, the proposal mentions nothing about initialization data
   and expedited data.  I would like to see this requirement question
   being addressed.

   3) On the proposed new calls
      a) I agree with Peter that they belong to some conformance class.
         Therefore, I suggest that a CM_CALL_NOT_SUPPORTED return code
         be added to both calls.

      b) To be consistent with the existing definitions, I suggest
         CM_PROGRAM_PARAMETER_CHECK be used for the errors occurred
         in the map_name parameter.  (CM_PARAMETER_ERROR has a
         different meaning and is currently defined for the CMALLC
         call only.)

      c) The notion of "default map name" was used in the description
         of the calls but was not explained in the chap. 2 Terms and
         Concepts.  If a default map name exists, who defined it?
         And when was it defined?

         It also seems to be somewhat contradictory to the early part
         of the proposal, where "Not set" is indicated for all four
         cases for the map_name in the Characteristics and their
         default values table.

      d) I also support map_name be represented in character format.
         A related question is which character set is a map name
         drawn?

   4) This is a general question.  I believe a complete proposal
      should also include a working example for both SNA and OSI
      and provide information for the implementers such as:
      - what is defined at development time and who defines it?
      - what is needed at the runtime and where to find it?
                      * * *

   Regards,
   Chung-Huy Chen